Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 144453 - Ikiwiki Ebuild request
Summary: Ikiwiki Ebuild request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Low enhancement (vote)
Assignee: Torsten Veller (RETIRED)
URL: http://ikiwiki.info/
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-19 13:17 UTC by Ian Brandt
Modified: 2010-11-03 10:06 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for ikiwiki (ikiwiki-2.17.ebuild,1.04 KB, text/plain)
2008-01-07 01:00 UTC, Anthony de Boer
Details
Manifest for ikiwiki (Manifest,212 bytes, text/plain)
2008-01-07 01:01 UTC, Anthony de Boer
Details
ebuild for ikiwiki (ikiwiki-2.17.ebuild,1019 bytes, text/plain)
2008-01-07 01:29 UTC, Anthony de Boer
Details
Manifest for ikiwiki (Manifest,212 bytes, text/plain)
2008-01-07 01:30 UTC, Anthony de Boer
Details
ikiwiki-2.40 ebuild with all needed dependencies (ikiwiki-2.40.tgz,8.33 KB, application/octet-stream)
2008-03-11 17:56 UTC, Michael Hammer (RETIRED)
Details
Ikiwiki 2.52 (ikiwiki-2.52.ebuild,1.12 KB, text/plain)
2008-07-09 06:37 UTC, Michael Hammer (RETIRED)
Details
layman configuration for the tove repository (local.xml,333 bytes, text/plain)
2008-08-20 17:25 UTC, Peter Simons
Details
upgraded for current layman format (local.xml,407 bytes, application/xml)
2010-08-26 12:42 UTC, W. Trevor King
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Brandt 2006-08-19 13:17:58 UTC
Ikiwiki is a great minimalist Wiki that runs on top of Subversion (or Git), and can also leverage ViewVC.  It makes for a great little front page or doc site if you're building a Subversion server.  It's maintained as a Debian package here:

http://packages.debian.org/unstable/web/ikiwiki

An equivilent ebuild would be great.
Comment 1 Rob Cakebread (RETIRED) gentoo-dev 2006-10-13 11:47:00 UTC
Needed for gazpacho
Comment 2 Mike Auty gentoo-dev 2006-10-13 11:52:04 UTC
Hehehe, wrong kiwi.  This one's not required for gazpacho...  5:)
Comment 3 Torsten Veller (RETIRED) gentoo-dev 2007-03-03 12:07:17 UTC
I take it.
I need to clean the ebuilds for the perl modules a little before committing them.
Comment 4 Anthony de Boer 2008-01-07 01:00:22 UTC
Created attachment 140335 [details]
ebuild for ikiwiki

Contributed ebuild for ikiwiki
Comment 5 Anthony de Boer 2008-01-07 01:01:14 UTC
Created attachment 140336 [details]
Manifest for ikiwiki

Manifest with checksums for ikiwiki tarball and ebuild
Comment 6 Anthony de Boer 2008-01-07 01:05:41 UTC
I've uploaded an ebuild and manifest for ikiwiki.  I'm happily using it based on this build, so it does work.

The Gentoo documentation I could readily find didn't specify any tools for building manifests, or make it clear if I need to include ebuilds for the several Perl modules I had to build with g-cpan.  Those are: CGI-FormBuilder Data-Dumper Feed-Find Text-Markdown URI-Fetch XML-Atom XML-Feed.  All built cleanly without manual intervention.  Note that the top-level dependencies from the attached ebuild list perl-gcpan/ rather than dev-perl/ for now.
Comment 7 Anthony de Boer 2008-01-07 01:29:58 UTC
Created attachment 140340 [details]
ebuild for ikiwiki

Updated: on reflection, the doc/ subtree from the source isn't of sufficient utility to need to copy to /usr/share/doc/ikiwiki-2.17/ (and the version I had needed to copy from ${S} rather than the workdir).
Comment 8 Anthony de Boer 2008-01-07 01:30:23 UTC
Created attachment 140342 [details]
Manifest for ikiwiki

checksum bump
Comment 9 Michael Hammer (RETIRED) gentoo-dev 2008-03-11 17:56:50 UTC
Created attachment 145837 [details]
ikiwiki-2.40 ebuild with all needed dependencies

I provide an ebuild for ikiwiki-2.40 with _all_ needed perl dependencies. I recommend to untar it into an overlay. It's tested on amd64 and x86. I've decided to _not_ use g-cpan because this nearly means dependencies on live CPAN snapshot ebuilds. The tar file also includes all needed Manifests - so after untar you should be able to start using it.

I would really appreciate if a developer would maintain my packages ...
Comment 10 Torsten Veller (RETIRED) gentoo-dev 2008-03-11 18:25:52 UTC
Thanks, guys.

There is an overlay at http://git.overlays.gentoo.org/.
I'll add the missing perl-modules from the tarball tomorrow.

There are some more things to fix before we can put it into the tree.
Eg:
- Markdown (capitalized or not) will be fixed in 2.41
- rst plugin doesn't work with python-2.5
- tests fail
Comment 11 Bernd Wurst 2008-04-15 06:29:28 UTC
What's the state about this?

The last comment says something about 2.41, but 2.42 is the current version in GIT. So are there still open items?

tove, could you please add an ~amd64 keyword for this?
Comment 12 Torsten Veller (RETIRED) gentoo-dev 2008-04-22 09:19:11 UTC
(In reply to comment #11)

> The last comment says something about 2.41, but 2.42 is the current version in
> GIT. So are there still open items?

- Markdown (capitalized or not) will be fixed in 2.41

That is fixed. But the markdown perl module (dev-perl/Text-Markdown) crashes (#212728) and i don't like the app-text/markdown ebuild.

- rst plugin doesn't work with python-2.5

Fixed.

- tests fail

Still fail here.


> tove, could you please add an ~amd64 keyword for this?

Sure. I guess you have tested what is currently in DEPEND (and SUGGESTED_DEPS). 


> What's the state about this?

I hope 2.44 will get into the tree. OTOH there is already so much to fix.

What should be done wrt the DEPs as the suggested deps are optional? Comments?
I can think of useflags (everything or minimal) and/or add some info to the ebuild.
Comment 13 Arne Babenhauserheide 2008-06-24 00:19:11 UTC
>>> Verifying ebuild Manifests...

!!! Digest verification failed:
!!! /usr/local/portage/dev-perl/XML-Feed/metadata.xml
!!! Reason: Filesize does not match recorded size
!!! Got: 709
!!! Expected: 585

ebuild /usr/local/portage/dev-perl/XML-Feed/XML-Feed-0.12.ebuild digest

fixed it (portage is building right now). 

Many thanks for the ebulds! 
Comment 14 Michael Hammer (RETIRED) gentoo-dev 2008-07-09 06:37:41 UTC
Created attachment 159937 [details]
Ikiwiki 2.52

Added release 2.52. Sadly perl is still dying on rendering doc/todo/calendar_--_archive_browsing_via_a_calendar_frontend.mdwn which is really hard to investigate why. Therefore "make test" doesn't make much sense either ;) At least we don't need the markdown patch anymore!

g, mueli
Comment 15 Torsten Veller (RETIRED) gentoo-dev 2008-07-09 06:58:44 UTC
(In reply to comment #14) 
> Added release 2.52. Sadly perl is still dying on rendering
> doc/todo/calendar_--_archive_browsing_via_a_calendar_frontend.mdwn which is

Someone filed an upstream bug:
http://rt.perl.org/rt3//Public/Bug/Display.html?id=53200

> really hard to investigate why. Therefore "make test" doesn't make much sense
> either ;) At least we don't need the markdown patch anymore!

If you don't use the markdown perl module from cpan but the bin from http://daringfireball.net/projects/markdown/ there are no failures.
(See http://git.overlays.gentoo.org/gitweb/?p=dev/tove.git;a=summary )
Comment 16 Michael Hammer (RETIRED) gentoo-dev 2008-07-09 07:14:09 UTC
Ups - haven't seen the ebuild in your overlay ... Why not committing into tree? Looks nice for me.
Comment 17 Arne Babenhauserheide 2008-07-24 15:17:27 UTC
@Torsten Veller: Is your overlay available via layman? 
Comment 18 Joseph Turian 2008-08-15 23:40:02 UTC
I took am interested in getting this overlay via layman.
Comment 19 Peter Simons 2008-08-18 09:17:57 UTC
Is this ebuild still being maintained? It looks pretty good; it would be a shame to give up at this point.

Anyhow, the installation fails when USE=w3m is enabled:

sed: can't read /var/tmp/portage/www-apps/ikiwiki-2.53/work/ikiwikiMakefile.PL: No such file or directory
 * 
 * ERROR: www-apps/ikiwiki-2.53 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2365:  Called die
 * The specific snippet of code:
 *           sed -i 's,lib/w3m,libexec/w3m,' "${S}"Makefile.PL || die;
 *  The die message:
 *   (no error message)
Comment 20 Peter Simons 2008-08-20 17:25:08 UTC
Created attachment 163403 [details]
layman configuration for the tove repository

To mirror the tove git repository, which contains the latest ikiwiki ebuild as of now, copy the attached file to, say /etc/layman/local.xml, then edit the "overlays" section in /etc/layman/layman.cfg to feature "file:///etc/layman/local.xml" in addition to the overlay lists you're already subscribed too. Once that's done, running "layman -a tove" should report success. Note that "layman -L" will *not* show the tove repository in the list of available overlays for some reason -- I have no idea why. Anyway, the tove overlay is available via git, so you need dev-util/git installed to mirror it.
Comment 21 Peter Simons 2008-08-20 17:34:10 UTC
Regarding layman: there is one more thing that needs to be done. The tove repository keeps all ebuilds in a sub-directory "repo". layman is not prepared for that; it expects the ebuilds on the top-level. To make it work, the file 
/usr/portage/local/layman/make.conf needs to edited after adding the overlay. Look for the line "/usr/portage/local/layman/tove" and add "/repo". Now it will work. Sorry for missing that earlier.

Be careful, though: the manual editing of make.conf means that this file will be broken by running "layman -d tove".

It's a bit of a mess.
Comment 22 Peter Simons 2008-08-21 07:27:20 UTC
@Torsten Veller: When ikiwiki-2.61 is run as a CGI, it needs dev-perl/Math-GMP in addition to those dependencies already listed in the ebuild. Thanks for updating the ebuild! Your efforts are very much appreciated.
Comment 23 Torsten Veller (RETIRED) gentoo-dev 2008-08-22 10:03:19 UTC
(In reply to comment #22)
> @Torsten Veller: When ikiwiki-2.61 is run as a CGI, it needs dev-perl/Math-GMP
> in addition to those dependencies already listed in the ebuild.

Why and where is Math-GMP needed? I don't see it.
Comment 24 Peter Simons 2008-08-22 16:10:31 UTC
When I got the errors, they came from Crypt/DH.pm. The module is probably required for maintenance of the user password database, but I can't say for sure, I'm afraid. If I find something out, I'll post it.
Comment 25 Torsten Veller (RETIRED) gentoo-dev 2009-03-06 08:22:48 UTC
Does anyone else get these messages:
| Can't locate object method "_Detab" via package "Text::Markdown"
| at /usr/lib/perl5/vendor_perl/5.8.8/Text/Markdown.pm line 256.

I see them while installing with portage and perl 5.8.8.
If I change the package manager (tried a long time ago with paludis) or the perl version (5.10), they are gone.
Comment 26 Arne Babenhauserheide 2009-06-04 12:53:18 UTC
The version in tove works flawlessly for me. 

Please put it into the tree. I need it for contributing to the website of the GNU/Hurd. 
Comment 27 Klaus Birkelund Jensen 2009-06-11 09:04:54 UTC
Ebuild is missing dependency on dev-python/docutils.

It might only be when using USE="extras".
Comment 28 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-08-31 21:49:50 UTC
There has been a vulnerability report for ikiwiki:

http://ikiwiki.info/security/#index35h2:

Insufficient blacklisting in teximg plugin

Josh Triplett discovered on 28 Aug 2009 that the teximg plugin's blacklisting of insecure TeX commands was insufficient; it could be bypassed and used to read arbitrary files. This was fixed by enabling TeX configuration options that disallow unsafe TeX commands. The fix was released on 30 Aug 2009 in version 3.1415926, and was backported to stable in version 2.53.4. If you use the teximg plugin, I recommend upgrading.

This will be assigned CVE-2009-2944 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2944) in the next days. 
Please consider updating the ebuilds in the overlays. Note that the issue must be confirmed as resolved before this package can enter the official Portage tree. For more information, contact security@g.o. Thanks.
Comment 29 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-03-31 19:45:37 UTC
Name:      CVE-2010-1195
URL:       http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-1195
Published: 2010-03-31
Severity:  
Description: 

Cross-site scripting (XSS) vulnerability in the htmlscrubber component
in ikiwiki 2.x before 2.53.5 and 3.x before 3.20100312 allows remote
attackers to inject arbitrary web script or HTML via a crafted
data:image/svg+xml URI.
Comment 30 W. Trevor King 2010-08-26 12:42:38 UTC
Created attachment 244651 [details]
upgraded for current layman format

See: http://layman.sourceforge.net/#id2955992
Comment 31 W. Trevor King 2010-09-30 13:04:51 UTC
I bumped tove's ebuild to 3.20100815 (the current Debian unstable version [1][2])

Feel free to merge my changes:
  http://www.physics.drexel.edu/~wking/code/git/git.php?p=tove.git

[1] http://packages.debian.org/unstable/source/ikiwiki
[2] http://packages.debian.org/changelogs/pool/main/i/ikiwiki/ikiwiki_3.20100815/changelog
Comment 32 Arne Babenhauserheide 2010-10-29 21:46:25 UTC
Many thanks!

But could you get your overlay into the layman list? It took me quite some time to figure out that -o local.xml doesn’t work…
Comment 33 W. Trevor King 2010-11-02 13:48:16 UTC
(In reply to comment #32)
> But could you get your overlay into the layman list? It took me quite some time
> to figure out that -o local.xml doesn’t work…

If this was directed towards me, I've posted my tove XML file here:
  http://www.physics.drexel.edu/~wking/unfolding-disasters/posts/Tove_overlay/layman.xml
Add that you your /etc/layman/layman.cfg's overlays entry and you should be good to go.  I've named my version of the overlay tove-wtk, so there is no confusion.  I hadn't posted a local.xml update earlier because I'd assumed Torsten would merge my update.

In my branch, I've also shifted Torsten's /repo/* -> /* so you don't need to worry about the layman/make.conf hackery that Peter Simons describes in comment #21.
Comment 34 Torsten Veller (RETIRED) gentoo-dev 2010-11-02 18:27:54 UTC
Yeah, me slacked. Now I am pushing the latest version to the tree.


Please help testing!

- Should we add more perl modules?
- Or are there too many?
- Better plugin support possible?
Comment 35 Arne Babenhauserheide 2010-11-03 09:48:54 UTC
Many thanks to you both!